# APR calculation

On the main website, you can see a list of vaults with APR numbers

Tetu has three types of vaults:

### Vaults with 100% buybacks and pure TETU rewards

![](/files/RsEpm41jrtiVXw7TzZ2D)

These types of vaults use all profit for buyback TETU tokens.

Users get rewards only in TETU tokens.

However sometimes you can see a low Autocompound APR - it is a specific fluctuation of some strategies and should not be count.&#x20;

APR formula:

$$
APR = \frac{\frac{R} { TVL}}{D} \* 365
$$

Where&#x20;

**R**: reward amount in USD = rewardsForFullPeriodUsd \* periodRate

rewardsForFullPeriodUsd  = vault.rewardRateForToken() \* vault.duration() \* Price

periodRate = (vault.periodFinishForToken() - now) / vault.duration()

**TVL** - Total Value Locked in USD

vault.underlyingBalanceWithInvestment() \* underlyingPrice

**D** - reward duration in days

vault.duration() / (60 \* 60 \* 24)

Source <https://www.investopedia.com/terms/a/apr.asp>

![](/files/fBKtiM2fg22NxKzJ3UUK)

### Vaults with 99% autocompound

![](/files/xA4NuBq46aWDzQtIn9i6)

These types of vaults are marked with specific sign.

They use 99% of profit to buy underlying assets and redeposit it into the vault to increase value with time.

For understanding how it works you should know the mechanics of the Vault.

When you deposit into the Vault you get xToken - it is an interest-bearing token for this vault and a ticket for getting deposited assets back. xTETU is one of them but each Vault has an individual xToken (xNAME\_*OF\_*&#x56;AULT)

Each Vault has a Price Per Full Share (PPFS) - it is a ratio between underlying asset and xToken

When you deposit an asset you get xToken in this proportion.

For example, if you deposit 1000 USDC with PPFS 1.5 you will get \~666 xUSDC

If you withdraw your assets with 666 xUSDC and PPFS increased to 1.8 you will get \~1198 USDC

APR formula includes some period of work

We are getting two points of time&#x20;

PPFSChange = endPPFS - startPPFS

Time = endTime - startTime

$$
APR = {\frac{PPFSChange}{Time}} \* YearSeconds
$$

​On the UI we are showing an average value of APRs for the last 7 days (with 1 day step)

Autocompounded vaults can have claimable TETU rewards - they will be shown together

### Vaults with underlying vaults

Some vaults uses other vaults as underlying.

We are showing underlying vaults APR as additional income.

It is a dedicated calculation - the main Vault can have individual autocompound APR + rewards APR

### Vault Description

The description and income source of each vault can be checked by hovering the mouse over the APY.

![](/files/5ToPwpwenpP00m7kG6hI)

&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tetu.io/tetu-io/old-sections/apr-calculation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
